BackBackMenuCloseFermerPlusPlusSearchUluleUluleUluleChatFacebookInstagramLinkedInTwitterYouTubefacebooktwitterB Corporation

Grammalecte

Correcteur grammatical open source

Addendum à l’annonce précédente

J’ai oublié d’aborder certains points, l’annonce précédente ayant été faite dans l’urgence avant que la nouvelle se répande malgré moi. (J’attendais la validation de l’extension par Mozilla.)

L’extension est compatible avec Firefox 45+ (à cause de la syntaxe JavaScript ES6).

Sous certaines versions de Linux, il existe apparemment un bug qui pourrit l’affichage des panneaux. C’est indépendant de Grammalecte. Ça concerne GTK3, semble-t-il : https://bugzilla.mozilla.org/show_bug.cgi?id=1269786

Il est possible que l’affichage sur certaines versions de Linux ne soit pas bien calibré. Pour ma part, j’ai testé sur Netrunner/Plasma5. Ça va se résoudre avec le temps. Mais je vais éviter de bombarder les vérificateurs de code de chez Mozilla avec une nouvelle version tous les 3 jours.

Je viens de m’apercevoir que j’ai oublié de calibrer le moteur de suggestion du correcteur grammatical en fonction du correcteur orthographique choisi. Donc, ajoutez les dictionnaires que vous voulez, mais laissez le dictionnaire Classique activé dans tous les cas. Mea culpa.